AutoCAD LT :: PEDIT Won't Convert From Line To Polyline
Feb 20, 2013
how a drawing was exported from another program. My problem is: the PEDIT command won't give me the option to convert a line "I" add to a pline.
PEDITACCEPT: 0 or 1, problem remains
It is a drawing from an house designer, I am adding structural members and notes over the drawing. I could xref, but I need to move/erase some of their notes as well. It becomes cumbersome to switch to the source dwg, edit & save, move to current dwg and refresh, to have the note where needed.
This is a pretty strange to me drawing file. It seems that a bunch of system variables are altered and hopefully it doesn't migrate over to files originating from my machine.
I want to convert a line (Autodesk.AutoCAD.DatabaseServices.Line) to a polyline (Autodesk.AutoCAD.DatabaseServices.Polyline).
Currently I get all the properties from the line, create a new polyline with it and delete the line. I fear data may get lost this way. What is the best way to convert a line to a polyline?
// Line properties:// Color.// Layer.// Linetype.// Linetype scale.// Plot style.// Lineweight.// Hyperlink.// Thickness.// Material.// Start X.// Start Y.// Start Z.// End X.// End Y.// End Z.// Start point.// End point.
Feature lines are easy to make and great for grading. However, when I try to save the drawing into *.dxf, all the feature lines disappeared. Does this mean DXF files do not take feature lines?
I need the DXF files to up load into GPS. Do I have to redraw everything in 3D polyline?Or is there an easier way to convert feature lines into 3D polylines?
I'm working on crane pads for a windfarm development and have run into an issue that has never happened in the other 60 or so ones I've done previously.
I have a polyline (elevation added in via Properties) that I want to convert to a feature line for use in grading but when I try to convert I get the message below
When I check the properties and do a LIST the list reports a negative elevation.
I have some lines/plines..Pedit - J, then select my line and once I select the second one the first (last) selection is deselected. I cannot find the answer to this myself on google on here, i'm starting to get paranoid at my in ability to recall any of my AutoCAD working memory.
I want to join a couple of lines with arcs. Unfortunately I have got a dxf created with CATIA. When I try to join them with pedit it does not work.
If I move the end point of the circle away and snap it back to the line, I can join them. Blending the Curves together is working (this shouldn't if the endpoints match, right?)
You can see it in this screenshot:
(On the left the circle and line are joined after I snapped them together, on the right they are connected using "Blend Curves" as you notice the tiny white connection)
So here it leads to my question:
Those lines seem not to be lying end to end together so I can join them. Is there a function to snap them together or to automatically ignore/fill such a little gap?
I've MAP 3D 2013 64 bit (French version) with SP1.
When I launch command to "Convert polyline to polygon" (_MapPolylineToPolygon), I've message on command line "Select objetcs", I can convert to polygon =>OK
If I launched this command a second time, I've no possibility to select object, I come back to command line.I quit MAP, then launch MAP, and I can use this command only 1 time.
I cant do booleans with polylines, for that I need to convert them to regions which I dislike because I lose edit vertex capabilities right? Also, from a region, how can I convert a region to a closed polyline in one go.
I am some trouble working with 3dface. I want convert 3dface to polyline but in some cases I faces with problem that a 3dface don't convert surface or solid.
I need to convert a polyline to a structural element and put it on a tool palatte. I'm pretty sure I got it into the Design Manager, now I need to make it a structural element. I used to know how to do it in Acad 9, but now in Acad 12 I forgot,
Our customer send us drawing with ellipse into.With Autocad 2008 I bought a plug-in call SplineConvert that did the job perfectly but not compatible with 2013.
Is there any plugin that could replace that tool ?
Is there any standard ACAD command that could easily do this Job ?
I need a way to make 2 or 3 times per week this converting on all ellipses of large and detail 2D drawings so no time to offset in and out all those .
I try also DXFOUT in R12 but all the spline are being converted into 3d polyline making a huge files that froze my PC.
I also try FLATTEN but did not see how it work , the ellipse stay an ellipse.
how to convert polyline object (with x, y, z) to TIN SURFACE BECAUSE IF THIS OBJECT STILL POLYLINE OBJECT, I CAN'T RUNNING CATCHMENT AREA, ADD LABEL ETC
I need to convert my surface boundary to a polyline so I can use it to clip another surface. Is there a simpler way than tracing it with the polyline command?
I would like to convert a spline to a polyline for the sole purpose of finding the area. Is there a way to do this or is there another way to find the area of a spline? Typing list does not give me the area.
Can I convert a section of an ellipse outline to polyline so that I can see it's length from Properties? And why Properties does not show the length of a spline?
We are creating a new company title block for the use in Inventor 2010 and AutoCAd 2010. It has initially been generated in Inventor and exported to AutoCAD. My problem is that all attributes that came over are now setup as multiline attributes and I can't seem to change them to single line. Therefore you have to open the multiline editor separately for every single item to make changes in lieu of just 'tabbing' through the values in the Enhanced Attribute Editor. This adds time and frustration and seems to be intolerable for some of my colleagues.
Is there a way to change the attributes to a single line in AutoCAD I'm just not aware of? I tried to find different settings for the export from Inventor but the options seem to be very limited.
I could probably go over this and create separate AutoCad only titleblock and border but that would kind of defeat the purpose.
We have an employee in our office that is kind of old school in some ways. That person has a habit of exploding everything possible in a drawing. Most of us create notations using mtext so it's easy to edit and manipulate. Is there a way to convert the single line text back to multiline after it's exploded?
I have a data structure called LayerList in the format [LIST "LayerName" "Linetype" Thickness Color]I then use the following piece of code to go through the structure selecting polylines and converting all polylines on a given layer to the correct thickness
(foreach layr layerlist (setq player (car layr)) (if (setq ss (ssget "x" '((0 . "*polyLINE") (8 . player ) ))) (command "pedit" "m" ss "" "w" 0.15 "") (princ " No polylines exist!") ) )
However all i keep getting is Bad SSGET list value at the command line,